<template>
  <el-container class="layout-dashboard">
    <el-aside class="dashboard-aside" width="240px">
      <el-menu>
        <el-menu-item>
          <h2 class="text-center">
            Sun* RnD.Ignite
          </h2>
        </el-menu-item>
        <el-menu-item @click.native="$router.push('/dashboard/danh-sach-hien-tang')">
          Danh sách người hiến tạng
        </el-menu-item>
        <el-menu-item @click.native="$router.push('/dashboard/danh-sach-cho-ghep')">
          Danh sách chờ ghép tạng
        </el-menu-item>
      </el-menu>
    </el-aside>

    <el-container>
      <el-header class="dashboard-header">
        <el-dropdown v-if="user" trigger="click">
          <span style="cursor: pointer">
            <i class="el-icon-arrow-down" />
            {{ user.name }}
          </span>
          <el-dropdown-menu slot="dropdown">
            <el-dropdown-item @click.native="logout">
              Đăng xuất
            </el-dropdown-item>
          </el-dropdown-menu>
        </el-dropdown>
      </el-header>

      <el-main>
        <nuxt />
      </el-main>
    </el-container>
  </el-container>
</template>

<script>
import { mapState } from 'vuex'
import { logout } from '~/api/auth'

export default {
  middleware: ['require-auth'],

  computed: {
    ...mapState('auth', ['user'])
  },

  methods: {
    async logout () {
      await logout()
      window.location = '/'
    }
  }
}
</script>
